"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const months = [
    "January",
    "February",
    "March",
    "April",
    "May",
    "June",
    "July",
    "August",
    "September",
    "October",
    "November",
    "December",
];
const MonthLog = ({ month, year, html }) => {
    const [show, setShow] = react_1.default.useState(true);
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("h3", { style: { cursor: "pointer", userSelect: "none" }, onClick: () => setShow(!show) },
            months[month],
            " ",
            year),
        react_1.default.createElement("div", { dangerouslySetInnerHTML: { __html: html }, style: { display: show ? "block" : "none" } })));
};
const DailyLog = (props) => {
    return (react_1.default.createElement("div", null, props.allContent.map((logProps) => (react_1.default.createElement(MonthLog, Object.assign({}, logProps, { key: `${logProps.year}-${logProps.month}` }))))));
};
exports.default = DailyLog;
